/*
 * Class EV_PRINT_DIALOG
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1100 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1100 [] = {0xFF01,1551,1099,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1100 [] = {0xFF01,1099,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1100 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1100 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1100 [] = {0xFF01,1099,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1100 [] = {0xFF01,1099,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1100 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1100 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1100 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1100 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1100 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1100 [] = {0xFF01,1099,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1100 [] = {0xFF01,1263,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1100 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1100 [] = {0xFF01,1263,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1100 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1100 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1100 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1100 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1100 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1100 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1100 [] = {0xFF01,59,0xFFFF};


static const struct desc_info desc_1100[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1100), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1100), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1100), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1100), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1100), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1100), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1100), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1100), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1100), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1100), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1100), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1100), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0897 /*1099*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1100), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24558, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24559, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24560, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24561, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24562, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24563, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24564, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24565, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 0},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24201, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1100), 26315, 4},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26316, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26261, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24206, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1100), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24568, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24569, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24570, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24573, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1100), 26315, 4},
	{EIF_GENERIC(egt_16_1100), 4957, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1100), 4958, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26253, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1100), 26254, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x081B /*1037*/), 26255, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0739 /*924*/), 26256, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0737 /*923*/), 26257, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26258, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26259, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26260, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1100), 26276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 26277, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 26278, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 26279, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 26280, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 26281, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1100), 26282, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1100), 26283, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26284, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26285, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26286, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26287, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26288, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26289, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26290, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26291, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26292, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26293, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1100), 26294, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26295, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26296, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26297, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26298, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26299, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26300, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26301, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26302, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26303, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26304, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26305, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26306, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26307, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26308, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26309, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26310, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26311, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26312, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26313, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26314, 0xFFFFFFFF},
};
void Init1100(void)
{
	IDSC(desc_1100, 0, 1099);
	IDSC(desc_1100 + 1, 1, 1099);
	IDSC(desc_1100 + 32, 1201, 1099);
	IDSC(desc_1100 + 40, 1593, 1099);
	IDSC(desc_1100 + 55, 1240, 1099);
	IDSC(desc_1100 + 61, 854, 1099);
	IDSC(desc_1100 + 64, 838, 1099);
	IDSC(desc_1100 + 72, 719, 1099);
}


#ifdef __cplusplus
}
#endif
